Bug 50825 - Duplex on HP Laserjet 4000
Duplex on HP Laserjet 4000
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 13:37 EDT by Per Starbäck
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Starbäck 2001-08-03 13:37:09 EDT
Description of Problem:

Using the driver option for duplex doesn't work for HP Laserjet 4000.

Steps to Reproduce:
# printtool   (from printconf-gui-0.2.12-1)
Press [New]

Queue Name: dup
Choose Queue Type "UNIX Printer (lpd Queue)"
Server: <a hp4000>
Queue: lp
Printer Driver: HP : LaserJet 4000
Driver Options: Double-Sided Printing : "Long Edge (Standard)"

For other options I left the default, except for Page Size which I set to A4.

Actual Results:

When now printing postscript files on "dup" with lpr (from LPRng-3.7.4-23)
they are not printed on both sides of the paper.

Expected Results:

I expected to get duplex printing that way.

Additional Information:

When I configure another printer the same way, except leaving
Double-Sided Printing to the default "Off" (and using another
queue name) I get a spool directory that is the same (modulo names)
except for one 'default' line in Postscript-100576.foo.  I haven't
found any difference in how the two printer queues work.

If I try to print duplex with "a2ps -s 2" it comes out duplex
(works with both printer queues), so duplex printing is working
at least.
Comment 1 Per Starbäck 2001-08-09 06:33:58 EDT
Note: Choosing queue Type "JetDirect Printer" instead of "UNIX Printer (lpd
Queue)" it works as I expected it.


Comment 2 Bill Nottingham 2006-08-07 13:22:58 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:26:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.